package com.zfire.jiasm.syncdata.service;

import com.zfire.jiasm.syncdata.plus.entity.Brand;
import com.zfire.jiasm.syncdata.plus.entity.OrderInstallDetail;
import com.zfire.jiasm.syncdata.plus.entity.OutJiasmToGreeUploadTaskList;
import com.zfire.jiasm.syncdata.plus.entity.SysDictRef;
import org.jetbrains.annotations.NotNull;

import java.util.List;
import java.util.Map;

public interface orderBaseInstallCjOrWgService {
    boolean orderBaseInstall(Brand brand, @NotNull OutJiasmToGreeUploadTaskList ojtutl, Map<String, List<SysDictRef>> CategoryRefmap);

    void upOutId(String orderBaseId);
    Boolean orderBaseInstallCjOrWg(String cjOrWg, Brand brand, OutJiasmToGreeUploadTaskList ojtutl, Map<String, List<SysDictRef>> CategoryRefmap) throws Exception;
    void upCodep(OrderInstallDetail detail);
    void upCodepOther(OrderInstallDetail detail);



}
